Page 1 of 1

우분투 14.04(amd64) 에서 한글 2008 리눅스 버젼 설치하기.

Posted: 2016/01/27 Wed 7:39 pm
by lhw2k
14.04 AMD64를 기준으로 설치한 글입니다.
이글은, 여기저기서 구글링하여 설치한 경험을 인터넷에 남겨, 다음사람의 고생을 덜고, 부족한 부분이 해결되기를 바라는 마음에서 쓰게 되었습니다.
그리고 [color=#FF0000:pgvzpy4k][b:pgvzpy4k]이글에 나온대로 설치하면, 커서가 없습니다. 마우스 커서 말고 텍스트커서가 없습니다. 그래서 문장선택시 하일라이트도 안되고 해서, 불편한 점이 많습니다.[/b:pgvzpy4k][/color:pgvzpy4k]

하지만, 편집할 수 있다는 점에 위안을 삼고, 와인이나 플레이온리눅스로 설치하는 것보다 안정성이 높다는 점에서 충분히 가치있습니다.
===================================

1. 시작

업무용으로 사용하고 있는 노트북이 점점 느려지기 시작하여, 이것저것 지우다, 결국 하드웨어 성능의 문제라는 결론에 도달하게 되었습니다. 최근들어 윈도우10으로 업데이트가 되는 기류에 정품사용에 대한 압박감도 한목하여, 몇번 사용해 본적이 있는 우분투로, 업무용 노트북에 새생명을 불어 넣어 보자는 취지로 우분투를 깔게 되었습니다. 물론 윈도우7과 듀얼로 설치하였죠. 업무용이다 보니, 무슨일이 생길지 모르니까요..

평소 대부분의 업무를 구글드라이브와 크롬으로 해결하고 있기에(마소의 제품들도 거의 사용하지 않았습니다.) 우분투라고 해도 별다른 일은 없을 것이라는 자신감에 시작하였지만, 결과는 참담했습니다.

업무특성상 구청과의 이런저런 접점이 생기고, 문서들이 오면 편집해야 하는 일들이 잦은데, 모든 문서들이 아래아한글 문서들이더군요...
물론, 리눅스용 뷰어를 믿고 있었던 것도 있고, 여차하면 와인으로 설치하면, 간단한 편집정도는 가능할 것이란 계산도 있었구요...
하지만...표나 그림 첨부등이 잦은 오류를 뿜어내기에...결국 두손들고 말았습니다.

2. 체험판
여기저기 구글링을 통해 체험판을 설치 해 보았습니다.
60일 날짜 제한에 걸리더군요. 0일 남았다는 메세지의 벽을 도저히 깰수 없었습니다.
설혹, 아시아눅스를 설치하고 체험판을 설치하여, ini설정파일을 복사했다고 해서 끝나는 일이 아니더군요.
그래서 크랙이라는 비겁한 수단을 고민했더랬습니다.(생업이 걸린 문제다 보니....)
제실력으론 무리더군요..ㅜㅜ

포기하고 있던차에, 혹시나 하고 네이바를 검색해 보기로 했습니다.(저는 네이바를 싫어 하는 사람입니다.)
그런데....어떤 분이 중고로 한글2008 정품을 판매한다고 올려 두셨더군요...이 귀한걸....
그래서 바로....달려가서 업어왔습니다. 전반적인 상태는 좋은데, 파일하나가 기스로 잘 않읽어지지만, 여차저차 하여 복사하는데 성공하였습니다.

3. 설치
먼저 usb를 이용해서 14.04 i386 라이브를 구웠습니다.
참고로 라이브를 이용해서 체험하기를 통하면...alien이 안깔립니다. 라이브러리가 부족해서요...
라이브러리를 다깔자니 귀찮아서, 남아도는 usb를 하나 더 써서, 그 usb에 14.04 i386을 설치하였습니다.
그리고 usb 부팅한후....

sudo apt-get install alien

하여 alien 설치하고...
RPMS 폴더에서

sudo alien -k *.rpm

하여 패키지를 변환하는데 성공합니다.
그 패키지 파일들(deb)을 복사하여, 64비트 우분트로 돌아 갑니다.

패키지 들을 설치를 해야죠....

sudo dpkg -i *.deb

설치하다 보면 에러가 납니다.
의존성 오류로 인해 2개의 deb가 설치가 안됩니다.
haansoft-common7-gst (7.5.6.536-5axDT3)
haansoft-hwp7-plugin (7.5.6.482-4axDT3)
이렇게 두개입니다.
추천하는데로,

sudo apt-get -f install

하면, 엄청난 양의 라이브러리들이 깔리고 설정되며, 두개가 맞아 떨어집니다.

이제 설치는 끝났습니다.
이제부턴 실행을 하기 위한 라이브러리들을 깔아야 합니다.

이상황에서 터미널을 실행시키고

hwp7

이라고 치면 한글이 실행되는데, 오류가 납니다.

hwp7: error while loading shared libraries: libgsf-1.so.114: cannot open shared object file: No such file or directory
한마디로 저기 나오는 libgsf-1.so.114 라는 공유라이브러리를 찾을수가 없다는 뜻입니다.
사실 저런 메세지 마다 일일이 다 저 파일에 맞는 라이브러리 패키치명을 찾아서 설치해 주어야 합니다.

apt-get search libgsf

하면 관련 라이브러리들이 나오고, 비슷한 놈으로 찍어서 설치하고 다시 실행해서 에러가 안나면 해결된 것이지요.
그런데 저 파일의 경우 라이브러리를 찾아서 그냥 설치하면 망가진 고정패키지가 있어 설치가 안된다고 합니다.
여러번 삽질을 하고 링크도 걸고 해야 해결이 되는데, 그 과정을 조금 줄일 수 있는 것이 다음 게시글에 있습니다.

http://blog.nooree.com/post.cfm/ubuntu- ... -for-linux

저는 이글을 참고 하고, 이분이 올려주신 파일들을 사용하였습니다.
윗글에 가서 찬찬히 읽어 보시면, 저글에 있는 첨부파일을 다운로드 받아서 복사하는 부분이 있습니다.
참고하셔서 첨부파일을 다운로드 받아 루트권한으로 /usr/lib/haansoft/lib 폴더에 복사해 넣습니다.
그글에서 시키는 데로 링크도 3가지 걸어야 합니다.

=====================================
혹시 이글을 초보자 분들이 보실수도 있으니까요...(저도 초보라서요...)
루트권한을 가지는 방법은 터미널에서

sudo su

라고 하면 비밀번호 물어 보고 통고되면 루트권한이 됩니다.
명령어 앞에 sudo 라고 붙은건 전부 루트권한으로 실행하라는 뜻이고요...
그런데 파일복사하는걸 터미널로 하려면 터미널 명령어도 알아야 하고 힘들죠...
그래서 탐색기를 루트권한으로 실행하면 파일복사가 편해지죠...

sudo apt-get nautilus-admin

하면 설치가 되고, 처음 실행할때 한번 오류가 나긴하는데, 그뒤로는 괜찮습니다.
자기가 원하는 폴더에 찾아들어가서 마우스 오른쪽 버튼을 누르면...
open as adminstrator 라는 메뉴가 있습니다.
선택하면 탐색기 자체가 루트권한으로 실행 됩니다.
참고하세용~
=======================================================

이러고 나서 다시 실행하면

hwp7

하면
hwp7: error while loading shared libraries: libexif.so.12: cannot open shared object file: No such file or directory

다른 라이브러리 오류가 납니다. 자세히 보시면 아시겠지만, 오류나는 파일이 다릅니다. 네 그전의 오류는 해결된것이지요...
그럼 이 라이브러리를 깔아 줍니다.
이런식으로 계속 진행합니다.

원래 한 6~7개의 라이브러리를 삽질하고 깔아야 하는데,
한방에 쓰면...다음과 같습니다.

sudo apt-get install libexif12:i386 libxft2:i386 libgconf-2-4:i386 libbz2-1.0:i386 gtk2-engines-murrine:i386 libcanberra-gtk-module:i386 unity-gtk2-module:i386 gtk2-engines:i386 libgtkmm-2.4-1c2:i386

고대로 긁어서 터미널에 복사해서 넣으시면 되겠죠? 그럼 다 설치됩니다.
그러고 실행하면...마지막으로 한가지 오류만 납니다.

Gtk-Message: Failed to load module "overlay-scrollbar"

이것 뭔가를 지우는게 아니라 뭔가를 삭제해야 합니다.
오버레이 스크롤바와 관련된 모듈을 삭제해 줘야 합니다.

sudo apt-get purge overlay-scrollbar

오버레이 스크롤바 관련 에러 메세지도 사라지고, 실행도 됩니다.
시리얼번호 치고 설치하시면....실행도 잘되고 저장도 잘됩니다. 종료가 좀 느리긴 하네요..
결정적 문제는 커서가 없다는거...서두에 썼듯이요...
하지만 급한 업무를 보는데는 문제없더군요..
(물론 정품을 구하는 것이 가장 문제일 수 있지요...)
그래도 이글이 조금이나마 도움이 되시기를 바랍니다.

Re: 우분투 14.04(amd64) 에서 한글 2008 리눅스 버젼 설치하기.

Posted: 2016/04/29 Fri 4:57 pm
by khan
안녕하세요!
오래전 우분투 쓰다가 다시 쓰려고 개인컴에 140.4 깔았습니다.
문의사항은 :
1. 우분투에서 한글프로그램 쓸수 있나요?
개인용으로 한글 2004 가지고 있는데, 뭐 이것 깔아도 쓰는데는 무방할것 같아서요
2. 리눅스용 한글이 별도로 있나요?
3. 까는법이 있으면 링크 걸어주시면 감사하겠습니다.
즐거운 하루되세요!

Re: 우분투 14.04(amd64) 에서 한글 2008 리눅스 버젼 설치하기.

Posted: 2016/05/07 Sat 6:31 pm
by pukakk
lhw2k님,

리눅스용 한컴 오피스 2008이 있었습니다. 그런데 2011년 이후로 판매 중단된 상태에요,
구하시려면 중고품을 구매하셔야 할겁니다.
이 리눅스용 한컴 오피스 2008 설치방법은 다음 링크를 참고하세요
viewtopic.php?f=18&t=28135

그 외에 리눅스에서 사용할 수 있는 한컴 오피스라면, 한컴에서 제공하는 클라우드 오피스인
Thinkfree weboffice나 넷피스24를 사용하시면 됩니다.

저는 후자를 추천해요. ㅎㅎ

Re: 우분투 14.04(amd64) 에서 한글 2008 리눅스 버젼 설치하기.

Posted: 2016/05/17 Tue 2:46 pm
by lhw2k
음...제가 쓴글이...설치법인데...
너무 이상했나요?
큼......
한글2008이 리눅스버전인데.....

Re: 우분투 14.04(amd64) 에서 한글 2008 리눅스 버젼 설치하기.

Posted: 2016/07/30 Sat 9:37 pm
by jjhappy
크으.. 한컴에서.. 국민IT복지차원에서.. 리눅스용 한글을 다시 만들어 주시면 좋을텐데... (아주 비싸지만 않으면 출혈을 해서라도 살 의향이 있습니다..)